.leaderbordtableskeleton .tblContainer {
    animation: skeleton-loading 1s linear infinite alternate;
}

@keyframes skeleton-loading {
    0% {
        background-color: rgb(230, 230, 230);
    }
    100% {
        background-color: rgb(245, 245, 245);
    }
}

.leaderbordtableskeleton {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 140px;
}

.leaderbordtableskeleton .tblContainer {
    height: 55vh;
    width: 100%;
    border-radius: 17px;
}

/* Mobile */
@media (max-width: 768px) {
    .leaderbordtableskeleton {
        width: 100%;
    }
}

/* iPad */
@media (min-width: 768px) and (max-width: 1024px) {
    .leaderbordtableskeleton .tblContainer {
        display: flex;
        align-items: center;
    }
}

/* DARK MODE */
.dark .leaderbordtableskeleton .tblContainer {
    animation: skeleton-loading-dark 1s linear infinite alternate;
}

@keyframes skeleton-loading-dark {
    0% {
        background-color: rgba(255, 255, 255, 0.1);
    }
    100% {
        background-color: rgba(255, 255, 255, 0.2);
    }
}
